
From: Dave Jones <davej@redhat.com>

static declaration follows non static

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/nm256.h       |    3 ---
 25-akpm/sound/oss/nm256_audio.c |    5 +++--
 2 files changed, 3 insertions(+), 5 deletions(-)

diff -puN sound/oss/nm256_audio.c~sound-oss-cleanups-fix sound/oss/nm256_audio.c
--- 25/sound/oss/nm256_audio.c~sound-oss-cleanups-fix	2005-04-07 17:25:50.000000000 -0700
+++ 25-akpm/sound/oss/nm256_audio.c	2005-04-07 17:25:50.000000000 -0700
@@ -28,12 +28,13 @@
 #include <linux/delay.h>
 #include <linux/spinlock.h>
 #include "sound_config.h"
-#include "nm256.h"
-#include "nm256_coeff.h"
 
 static int nm256_debug;
 static int force_load;
 
+#include "nm256.h"
+#include "nm256_coeff.h"
+
 /* 
  * The size of the playback reserve.  When the playback buffer has less
  * than NM256_PLAY_WMARK_SIZE bytes to output, we request a new
diff -puN sound/oss/nm256.h~sound-oss-cleanups-fix sound/oss/nm256.h
--- 25/sound/oss/nm256.h~sound-oss-cleanups-fix	2005-04-07 17:25:50.000000000 -0700
+++ 25-akpm/sound/oss/nm256.h	2005-04-07 17:25:50.000000000 -0700
@@ -128,9 +128,6 @@ struct nm256_info 
     struct nm256_info *next_card;
 };
 
-/* Debug flag--bigger numbers mean more output. */
-extern int nm256_debug;
-
 /* The BIOS signature. */
 #define NM_SIGNATURE 0x4e4d0000
 /* Signature mask. */
_
